Page MenuHomePhabricator

Archive the Copyvio extension
Closed, ResolvedPublicRequest

Description

Reason
Abandoned, c.f. T227983#5334256. There's no phab project nor on-wiki documentation AFAICT.

To-do list

  • This task
    • Add maintainers of that extension/skin as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
  • Translatewiki.net/translations
    • Remove from translatewiki.net (groups/MediaWiki/mediawiki-extensions.txt / groups/MediaWiki/mediawiki-skins.txt) (add translatewiki.net project as a tag for this task).
  • Configuration/tests/integrations/etc.
  • Repositories

Event Timeline

Legoktm created this task.Jul 15 2019, 6:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 15 2019, 6:27 PM

I was starting to think about all the places that need to be cleaned up... I'm glad there's a template!

Jony added a subscriber: Jony.Jul 16 2019, 5:10 AM
MacFan4000 added a project: Growth-Team.EditedJul 16 2019, 12:23 PM
MacFan4000 added a subscriber: MacFan4000.

Growth-Team is listed as author in extension.json

MacFan4000 updated the task description. (Show Details)Jul 16 2019, 12:32 PM
MacFan4000 updated the task description. (Show Details)Jul 16 2019, 2:28 PM

I was starting to think about all the places that need to be cleaned up... I'm glad there's a template!

If you have any suggestions for improvements to it, Cleanup would welcome your thoughts. =)

kostajh moved this task from Inbox to External on the Growth-Team board.Jul 18 2019, 12:56 AM
kostajh added a subscriber: kostajh.

Please let us know if there's anything you need from Growth-Team on this.

MarcoAurelio added a subscriber: MarcoAurelio.

Taking care of the removals on places where I can do it.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptJul 26 2019, 3:21 PM

Change 525831 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[translatewiki@master] [Copyvio] Archive extension

https://gerrit.wikimedia.org/r/525831

Change 525832 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Copyvio@master] Archive extension

https://gerrit.wikimedia.org/r/525832

MarcoAurelio updated the task description. (Show Details)Jul 26 2019, 3:32 PM

Change 525832 merged by MarcoAurelio:
[mediawiki/extensions/Copyvio@master] Archive extension

https://gerrit.wikimedia.org/r/525832

Mentioned in SAL (#wikimedia-releng) [2019-07-26T15:45:41Z] <James_F> doc1001: sudo -u doc-uploader rm -rf /srv/docroot/org/wikimedia/doc/cover-extensions/Copyvio/ # T228087

Change 525833 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions@master] [Copyvio] Archive extension

https://gerrit.wikimedia.org/r/525833

Change 525833 merged by MarcoAurelio:
[mediawiki/extensions@master] [Copyvio] Archive extension

https://gerrit.wikimedia.org/r/525833

MarcoAurelio updated the task description. (Show Details)Jul 26 2019, 3:50 PM
Mainframe98 removed a subscriber: Mainframe98.

Change 525837 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[integration/config@master] [Copyvio] Archive extension

https://gerrit.wikimedia.org/r/525837

MarcoAurelio updated the task description. (Show Details)Jul 26 2019, 3:56 PM

Change 525837 merged by jenkins-bot:
[integration/config@master] [Copyvio] Archive extension

https://gerrit.wikimedia.org/r/525837

Mentioned in SAL (#wikimedia-releng) [2019-07-26T16:00:19Z] <James_F> Zuul: [Copyvio] Mark as archived for CI T228087

MarcoAurelio updated the task description. (Show Details)Jul 26 2019, 4:01 PM
MarcoAurelio updated the task description. (Show Details)Jul 26 2019, 4:04 PM

Change 525838 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/vagrant@master] [Copyvio] Drop refs to archived extension

https://gerrit.wikimedia.org/r/525838

Change 525831 merged by jenkins-bot:
[translatewiki@master] [Copyvio] Archive extension

https://gerrit.wikimedia.org/r/525831

Change 525838 merged by jenkins-bot:
[mediawiki/vagrant@master] [Copyvio] Drop refs to archived extension

https://gerrit.wikimedia.org/r/525838

MarcoAurelio closed this task as Resolved.Jul 27 2019, 7:47 PM
MarcoAurelio updated the task description. (Show Details)

Listo Calixto.

MarcoAurelio moved this task from ready to cabinet on the User-MarcoAurelio board.Jul 27 2019, 7:48 PM
MarcoAurelio removed a project: Patch-For-Review.